Piwigo Bugtracker

Piwigo bug tracker has moved to Github

This bugtracker is kept to provide history on old issues.


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002632Piwigoinstallation & upgradepublic2012.05.24 13:332012.06.22 11:35
Reporterplg 
Assigned Toplg 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.4.0RC3 
Target Version2.4.0Fixed in Version2.4.0 
Summary0002632: upgrade script to 2.4
DescriptionSome upgrade tasks, related to derivatives are missing:

* organization of "upload" and "galleries" directories
* removing columns images.high_width, images.high_height, images.high_filesize, images.tn_ext, images.has_high, user_infos.maxwidth, user_infos.maxheight
* converting 2.3 thumbnails/websize/hd settings into 2.4 derivatives settings
* removing configuration parameters upload_form* (14 parameters)
TagsNo tags attached.
browserany
Database engine and version
PHP version
Web serverApache 1.3.x
Attached Files

- Relationships

-  Notes
(0006300)
svn (reporter)
2012.05.24 13:35

[Subversion] r15288 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2632: multiple size, upgrade task for new organization of "upload"
and "galleries" directories
(0006325)
svn (reporter)
2012.05.31 15:46

[Subversion] r15449 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2632: convert 2.3 thumbnails/websize/hd settings into 2.4 derivatives settings
(0006326)
svn (reporter)
2012.05.31 16:09

[Subversion] r15450 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2632: derivatives: clean the database. Remove useless configuration
settings and useless columns in "images" table.
(0006345)
svn (reporter)
2012.06.08 23:42

[Subversion] r15608 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2632: derivatives: search and replace hotlinks inside Piwigo
(page_banner, covers also plugins Additional Pages and PWG Stuffs)
(0006349)
svn (reporter)
2012.06.12 22:51

[Subversion] r15652 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2632: remove useless columns and config settings at gallery installation
(0006352)
svn (reporter)
2012.06.14 14:21

[Subversion] r15678 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2632: do not deactivate smartpocket automatically during upgrade
(0006353)
svn (reporter)
2012.06.14 14:29

[Subversion] r15679 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2632: major upgrade script from 2.3 to 2.4 (which calls tasks in install/db directory)
(0006354)
svn (reporter)
2012.06.14 23:46

[Subversion] r15680 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2632: add a test on upgrade.php, if a remote site is detected downgrade to 2.3.4

- Issue History
Date Modified Username Field Change
2012.05.24 13:33 plg New Issue
2012.05.24 13:33 plg Status new => assigned
2012.05.24 13:33 plg Assigned To => plg
2012.05.24 13:33 plg browser => any
2012.05.24 13:33 plg Web server => Apache 1.3.x
2012.05.24 13:35 svn Checkin
2012.05.24 13:35 svn Note Added: 0006300
2012.05.31 15:46 svn Checkin
2012.05.31 15:46 svn Note Added: 0006325
2012.05.31 15:46 plg Description Updated
2012.05.31 16:09 svn Checkin
2012.05.31 16:09 svn Note Added: 0006326
2012.05.31 16:10 plg Status assigned => closed
2012.05.31 16:10 plg Resolution open => fixed
2012.05.31 16:10 plg Fixed in Version => 2.4.0
2012.06.08 23:42 svn Checkin
2012.06.08 23:42 svn Note Added: 0006345
2012.06.12 22:51 svn Checkin
2012.06.12 22:51 svn Note Added: 0006349
2012.06.14 14:21 plg Status closed => assigned
2012.06.14 14:21 plg Resolution fixed => open
2012.06.14 14:21 plg Fixed in Version 2.4.0 =>
2012.06.14 14:21 svn Checkin
2012.06.14 14:21 svn Note Added: 0006352
2012.06.14 14:29 svn Checkin
2012.06.14 14:29 svn Note Added: 0006353
2012.06.14 23:46 svn Checkin
2012.06.14 23:46 svn Note Added: 0006354
2012.06.22 11:35 plg Status assigned => closed
2012.06.22 11:35 plg Resolution open => fixed
2012.06.22 11:35 plg Fixed in Version => 2.4.0


Copyright © 2000 - 2019 MantisBT Team
Contact
Powered by Mantis Bugtracker